#
# spec file for package python-flake8-debugger
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global skip_python2 1
Name:           python-flake8-debugger
Version:        4.1.2
Release:        2.3
Summary:        ipdb/pdb statement checker plugin for flake8
License:        MIT
URL:            https://github.com/jbkahn/flake8-debugger
Source0:        https://files.pythonhosted.org/packages/source/f/flake8-debugger/flake8-debugger-%{version}.tar.gz
Source1:        LICENSE
Source2:        https://raw.githubusercontent.com/JBKahn/flake8-debugger/4.0.0/test_linter.py
# https://github.com/JBKahn/flake8-debugger/issues/28
Patch1:         pycodestyle-indent-size.patch
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module flake8 >= 1.5}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
ipdb/pdb statement checker plugin for flake8

%prep
%setup -q -n flake8-debugger-%{version}
cp %{SOURCE1} .
cp %{SOURCE2} .
%patch -P 1 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue May 21 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Replace %%patchN with %%patch -P N: %%patchN is deprecated.
* Wed Oct 12 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 4.1.2
  * Add tests to bundle.
- Update to version 4.1.1
  * Add tests to bundle.
- Update to version 4.1.0
  * Drop support for python 3.6 and remove special handling code.
  * bundle licence file.
* Thu Apr  1 2021 Dirk Müller <dmueller@suse.com>
- update to 4.0.0:
  * Opted back into using Poetry now that the existing issues have been fixed.
  * Python 2.7 support was no officially dropped.
- add pycodestyle-indent-size.patch and use pypi tarball to avoid poetry
* Thu Apr 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.2.1:
  * no changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Nov 16 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 3.1.0
